<br><br><div class="gmail_quote">On 7 June 2010 22:20, Eric Smith <span dir="ltr"><<a href="mailto:eric@trueblade.com">eric@trueblade.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
Tarek Ziadé wrote:<br>
<blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;"><div class="im">
On Mon, Jun 7, 2010 at 10:00 PM, Ian Bicking <<a href="mailto:ianb@colorstudy.com" target="_blank">ianb@colorstudy.com</a>> wrote:<br>
</div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;"><div class="im">
On Mon, Jun 7, 2010 at 2:57 PM, Tarek Ziadé <<a href="mailto:ziade.tarek@gmail.com" target="_blank">ziade.tarek@gmail.com</a>> wrote:<br></div><div class="im">
If there are important bugs we'll have to work around them.<br>
If there are added features we'll have to ignore them.<br>
</div></blockquote><div class="im">
<br>
Not for the bug fixes because they will likely to be backported in all<br>
versions. (3.3 and 2.7)<br>
<br>
Now for new features, if pip uses the latest 2.x and the latest 3.x<br>
versions, you will get them.<br>
I am not sure why you would have to ignore them.  You would probably want to<br>
use the new features when they are released, and still make your code<br>
work with older versions.<br>
</div></blockquote>
<br>
There's no way for the new features to show up in 3.3, is there? You can't add them to a micro release, and you can't replace a module in the standard library. I think that's Ian's point.<br>
<br></blockquote><div><br><br>But that's no different to pip using *any* standard library module. If you want to support Python 2.4 you can't use os.path.relpath (or you have to provide it yourself anyway) for example.<br>
<br>Michael<br> </div><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
pip could use the new features in 3.4, and it could get the new features in 2.x if the users were willing to install the updated library, since it's not in the stdlib. But for 3.3 you'd be stuck.<br>
<br>
-- <br><font color="#888888">
Eric.</font><div><div></div><div class="h5"><br>
_______________________________________________<br>
Python-ideas mailing list<br>
<a href="mailto:Python-ideas@python.org" target="_blank">Python-ideas@python.org</a><br>
<a href="http://mail.python.org/mailman/listinfo/python-ideas" target="_blank">http://mail.python.org/mailman/listinfo/python-ideas</a><br>
</div></div></blockquote></div><br><br clear="all"><br>-- <br><a href="http://www.voidspace.org.uk">http://www.voidspace.org.uk</a><br><br><br>